﻿using UnityEngine;
using System.Collections;

public class CharacterController : MonoBehaviour {

    public float maxSpeed = 1000;
    public float jumpSize = 10;
    public bool facingRight = true;
    bool grounded = false;
    public Transform groundedCheck;
    float groundRadius = 0.2f;
    public LayerMask whatIsGround;
    Animator anim;
	// Use this for initialization
	void Start () {
        anim = GetComponent<Animator>();
	}
	
	// Update is called once per frame
	void Update () {
        if (Input.GetKeyDown(KeyCode.Escape))
            Application.Quit();
        float move = Input.GetAxis("Horizontal");
        grounded = Physics2D.OverlapCircle(groundedCheck.position, groundRadius, whatIsGround);
        anim.SetBool("grounded", !grounded);
        anim.SetFloat("speed", Mathf.Abs(move));
        this.rigidbody2D.velocity = new Vector2(move * maxSpeed, rigidbody2D.velocity.y);
        if (grounded && Input.GetKeyDown(KeyCode.Space))
            this.rigidbody2D.velocity = new Vector2(move * maxSpeed, jumpSize);
        if (move < 0 && facingRight)
            Flip();
        else if (move > 0 && !facingRight)
            Flip();
	}

    public void Stop()
    {
        anim.SetFloat("speed", 0);
        this.rigidbody2D.velocity = new Vector2(0, rigidbody2D.velocity.y);
    }

    void Flip()
    {
        facingRight = !facingRight;
        Vector3 scale = transform.localScale;
        scale.x *= -1;
        transform.localScale = scale;
    }

}
