﻿using UnityEngine;
using System.Collections;

public class Key : MonoBehaviour {

    public GUISkin guis;
    public AudioClip impact;
    public string text;
    bool activated = false;
    float time;
    int p0, p1, p2, p3, p4, p5, p6;
    int imgSize = 70;
	// Use this for initialization
	void Start () {
        p0 = Random.Range(100, 1200);
        p1 = Random.Range(100, 500);
        p2 = Random.Range(210, 400) + imgSize;
        p3 = imgSize;
	}
	
	// Update is called once per frame
    void Update()
    {
        if (activated)
        {
            if (transform.renderer.enabled)
                this.transform.position = new Vector3(transform.position.x, transform.position.y + Time.deltaTime * 0.5f);
            if (Time.time > time)
                transform.renderer.enabled = ((int)(Time.time * 15) % 2 == 0 ? true : false);
            if (Time.time > time + 1.0f)
            {
                if (transform.renderer.enabled == true)
                {
                    transform.renderer.enabled = false;
                }
            }
        }
    }

    void OnGUI()
    {
        GUI.skin = guis;
        if (!transform.renderer.enabled && Time.time > time + 1.0f)
        {
            GUI.Box(new Rect(p0, p1, p2 + imgSize + 5, p3), "You got a " + this.gameObject.name);
            GUI.DrawTexture(new Rect(p0, p1, imgSize, imgSize), GetComponent<SpriteRenderer>().sprite.texture);
        }
    }

    void OnTriggerEnter2D(Collider2D other)
    {
        if (other.gameObject.tag == "Player" && !activated)
        {
            time = Time.time;
            activated = true;
            if (impact != null)
                audio.PlayOneShot(impact, 0.5f);
        }
    }
}
