﻿using UnityEngine;
using System.Collections;

public class LevelUp : MonoBehaviour {

    public AudioClip impact;

    public float maxSpeed = 1000;
    public float jumpSize = 10;
    public bool facingRight = true;
    public GUIText guis;
    public bool canLevel = false;
    public int level = 1;
    bool grounded = false;
    public Transform groundedCheck;
    float groundRadius = 0.2f;
    public LayerMask whatIsGround;
    public Object explosion;
    float nextExplosion = -1;
    Animator anim;
	// Use this for initialization
	void Start () {
        anim = GetComponent<Animator>();
	}
	
	// Update is called once per frame
	void Update () {
        guis.text = "Level : " + level;
        float move = Input.GetAxis("Horizontal");
        grounded = Physics2D.OverlapCircle(groundedCheck.position, groundRadius, whatIsGround);
        anim.SetBool("grounded", !grounded);
        anim.SetFloat("speed", Mathf.Abs(move));
        if (canLevel && move != 0)
        {
            level++;
            if (Time.time > nextExplosion)
            {
                audio.PlayOneShot(impact, 0.5f);
                Vector3 nextP;
                nextP = this.transform.position + Vector3.up * (2 + Random.Range(0f, 1f)) + Vector3.right * Random.Range(-2f, 2f);
                GameObject.Instantiate(explosion, nextP, this.transform.rotation);
                nextExplosion = Time.time + 0.5f;
            }
        }
        this.rigidbody2D.velocity = new Vector2(move * maxSpeed, rigidbody2D.velocity.y);
        if (grounded && Input.GetKeyDown(KeyCode.Space))
            this.rigidbody2D.velocity = new Vector2(move * maxSpeed, jumpSize);
        if (move < 0 && facingRight)
            Flip();
        else if (move > 0 && !facingRight)
            Flip();
	}

    public void Stop()
    {
        anim.SetFloat("speed", 0);
        this.rigidbody2D.velocity = new Vector2(0, rigidbody2D.velocity.y);
    }

    void Flip()
    {
        facingRight = !facingRight;
        Vector3 scale = transform.localScale;
        scale.x *= -1;
        transform.localScale = scale;
    }

}
